%define upstream_name    HTML-StripScripts
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Strip scripting constructs out of HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This module strips scripting constructs out of HTML, leaving as much
non-scripting markup in place as possible. This allows web applications to
display HTML originating from an untrusted source without introducing XSS
(cross site scripting) vulnerabilities.

You will probably use the HTML::StripScripts::Parser manpage rather than
using this module directly.

The process is based on whitelists of tags, attributes and attribute
values. This approach is the most secure against disguised scripting
constructs hidden in malicious HTML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-3.mga8
+ Revision: 1504656
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.60.0-2.mga7
+ Revision: 1283974
- Mageia 7 Mass Rebuild

* Tue Aug 01 2017 sander85 <sander85> 1.60.0-1.mga7
+ Revision: 1133314
- update to 1.06

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-8.mga6
+ Revision: 1028306
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.50.0-7.mga6
+ Revision: 966131
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 guillomovitch <guillomovitch> 1.50.0-6.mga6
+ Revision: 842250
- use RT patch to fix compilation issue with perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 739824
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 684963
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.50.0-3.mga4
+ Revision: 512043
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-2.mga3
+ Revision: 368136
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 22471
- cleaning spec file
- imported package perl-HTML-StripScripts


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.1
+ Revision: 461286
- update to 1.05

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 403260
- rebuild using %%perl_convert_version

* Fri Jul 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2009.0
+ Revision: 231906
- import perl-HTML-StripScripts


* Fri Jul 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2009.0
- initial mdv release, generated with cpan2dist
